//---------------------------------------------------------------------------
#ifndef mainfrmH
#define mainfrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcomm.hpp"
#include "nrcommbox.hpp"
#include "nrcommtapi.hpp"
#include "nrspeech.hpp"
#include "nrwavebase.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TGroupBox *GroupBox1;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TEdit *Edit1;
    TButton *Button1;
    TButton *Button2;
    TButton *Button3;
    TCheckBox *CheckBox1;
    TGroupBox *GroupBox2;
    TGroupBox *GroupBox3;
    TListBox *ListBox1;
    TComboBox *ComboBox1;
    TMemo *Memo1;
    TButton *Button4;
    TButton *Button5;
    TnrDeviceBox *nrDeviceBox1;
    TnrCommTAPI *nrCommTAPI1;
    TnrSpeech *nrSpeech1;
    TComboBox *cbVoices;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall CheckBox1Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
    void __fastcall Button5Click(TObject *Sender);
    void __fastcall nrCommTAPI1LineConnected(TObject *Sender);
    void __fastcall nrCommTAPI1LineDisconnected(TObject *Com,
          bool ByRemote);
    void __fastcall nrCommTAPI1FatalError(TObject *Sender, DWORD ErrorCode,
          DWORD Detail, AnsiString ErrorMsg, bool &RaiseException);
    void __fastcall nrSpeech1AfterPlay(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
